org.apache.uima.resource.service.impl

## Class ResourceServiceAdapter

- java.lang.Object
- - org.apache.uima.resource.Resource_ImplBase
  - - org.apache.uima.resource.service.impl.ResourceServiceAdapter

- All Implemented Interfaces:
    Resource

      public abstract class ResourceServiceAdapter
      extends Resource_ImplBase

  Insulates applications from the knowledge that they are interacting with a `ResourceService_impl` rather than a local instance of a `Resource`. This is an abstract base class that specific resource adapter implementations may extend.

  This class implements the `Resource` interface and encapsulates all communications with a remote `ResourceService`. Thus, applications can interact with this adapter in the same way they would interact with any `Resource`, and can be completely unaware of the fact that a remote `ResourceService` is being used.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServiceAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Releases all resources held by this `Resource`.
    `ResourceMetaData` | `getMetaData()` Gets the metadata that describes this `Resource`.
    `protected ResourceServiceStub` | `getStub()` Gets the stub to be used to communicate with the remote service.
    `protected void` | `setStub(ResourceServiceStub aStub)` Sets the stub to be used to communicate with the remote service.

    - ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

      `getCasManager, getLogger, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, initialize, loadUserClass, loadUserClassOrThrow, setContextHolder, setContextHolderX, setLogger, setMetaData, withContextHolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServiceAdapter

          public ResourceServiceAdapter()

  - ### Method Detail

    - #### setStub

          protected void setStub(ResourceServiceStub aStub)

      Sets the stub to be used to communicate with the remote service. Subclasses must call this from their `initialize` method.
      Parameters:
        `aStub` - the stub for the remote service

    - #### getStub

          protected ResourceServiceStub getStub()

      Gets the stub to be used to communicate with the remote service.
      Returns:
        the stub for the remote service

    - #### getMetaData

          public ResourceMetaData getMetaData()

      Description copied from interface: `Resource`
      Gets the metadata that describes this `Resource`.
      Specified by:
        `getMetaData` in interface `Resource`
      Overrides:
        `getMetaData` in class `Resource_ImplBase`
      Returns:
        an object containing all metadata for this resource.
      See Also:
        `Resource.getMetaData()`

    - #### destroy

          public void destroy()

      Description copied from interface: `Resource`
      Releases all resources held by this `Resource`.
      Specified by:
        `destroy` in interface `Resource`
      Overrides:
        `destroy` in class `Resource_ImplBase`
      See Also:
        `Resource.destroy()`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.